﻿﻿
## AutomationML Editor Introduction

### Version 6.2

**AutomationML editor** has been developed by the **AutomationML** society
in order to visualize major AutomationML concepts and provides functionality
to visualize, create and edit AutomationML/CAEX files. 
The AutomationML editor is suited for educational purposes and 
a perfect entry point for learning, experimenting and understanding 
AutomationML. However, the number of features and functionalities of 
the AutomationML editor does not represent the entire modelling scope
of AutomationML. AutomationML editor is provided by AutomationML e.V. 
and distributed under the MIT license.

For a reliable statement about the capabilities of AutomationML it shall be referred to the AutomationML white papers at https://www.automationml.org. 
For more information about the underlying CAEX format refer to IEC 62424.

This version of the software supports the processing of AutomationML 2.0 based on CAEX 2.15 as well as AutomationML 2.10 based on CAEX 3.0.

#### Note
The editor uses the internet to load information from the AutomationML website and from the AutomationML GitHub repository. No information is transmitted from the application side. You can use the editor in offline mode without an internet connection, but then you cannot use some features, such as importing AutomationML models and libraries from the AutomationML cloud. 
The offline mode can be configured in the settings.

#### Requirements
Version 6.2 requires the [.NET 8 Desktop Runtime](https://dotnet.microsoft.com/en-us/download/dotnet/8.0).  

With the introduction of editor version 6.0, the full functionality of the editor is only available with a license provided by the AutomationML Association.

The development lines of the editor versions can be viewed [here](https://github.com/AutomationML/AutomationMLEditor/wiki/EditorVersions).
